--Made by Eric Bernard, Friday 13, 2015.


require "setup"
require "utils"
require "paddles"
require "ball"

function love.load()

	state = "Game"
	setupDisplay()
	setupSettings()
	setupFonts()
	setupHUDs()
	setupSounds()
	ball.load()
	--button_loadButtons()

	p1points = 0
	p2points = 0

end



function love.update(dt)

	if state == "Game" then
		paddles.update(dt)
		ball.update(dt)
	end
	--button_onHover(dt)
end



function love.draw()

	if state == "Game" then
		paddles.draw()
		ball.draw()
		love.graphics.setFont(fonts.main)
		centerPrint("Score: "..p1points.." | "..p2points,10)
		love.graphics.rectangle("fill",0,55,1280,5)
	end
	--button_draw()

end



function love.mousepressed(x,y,button) 

	--button_onClick(x,y)

end



function love.mousereleased(x,y)
	
	--button_onRelease(x,y)

end



function love.keypressed(key)
	


end

function love.keyreleased(key)



end

function love.textinput(t)



end