ball = {}

function ball.load()
	ball.x = display.width/2
	ball.y = display.height/2
	if math.random(1,2) == 1 then
		ball.speed = 450 --RIGHT
	else
		ball.speed = -450 --LEFT
	end
	ball.angle = math.random(0.2,0.4)
end

function ball.update(dt)
	if ball.x <= paddle1x+10 and ball.y >= paddle1y and ball.y <= paddle1y+100 then
		blip1:play()
		ball.speed = ball.speed * -1
		if math.random(1,2) == 1 then
			if math.random(1,2) == 1 then
				ball.angle = ball.angle + 0.2
			else
				ball.angle = ball.angle - 0.2
			end
		end
	end
	if ball.x >= paddle2x-5 and ball.y >= paddle2y and ball.y <= paddle2y+100 then
		blip1:play()
		ball.speed = ball.speed * -1
		if math.random(1,2) == 1 then
			if math.random(1,2) == 1 then
				ball.angle = ball.angle + 0.2
			else
				ball.angle = ball.angle - 0.2
			end
		end
	end

	if ball.y+10 >= 720 then
		blip2:play()
		ball.angle = ball.angle * -1
	end
	if ball.y <= 60 then
		blip2:play()
		ball.angle = ball.angle * -1
	end

	if ball.x+10 < paddle1x then
		point:play()
		p2points = p2points + 1
		ball.x = display.width/2
		ball.y = display.height/2
		if math.random(1,2) == 1 then
			ball.speed = 450 --RIGHT
		else
			ball.speed = -450 --LEFT
		end
		ball.angle = math.random(0.2,0.4)

	end
	if ball.x > paddle2x+10 then
		point:play()
		p1points = p1points + 1
		ball.x = display.width/2
		ball.y = display.height/2
		if math.random(1,2) == 1 then
			ball.speed = 450 --RIGHT
		else
			ball.speed = -450 --LEFT
		end
		ball.angle = math.random(0.2,0.4)
	end

	ball.x = ball.x + ball.speed * dt
	ball.y = ball.y + ball.angle
end

function ball.draw()
	love.graphics.rectangle("fill",ball.x,ball.y,10,10)
end
